import service from '@/utils/request'
const api = {
  // 试卷
  getExaminationList : data => {
    return service({
      url: '/exam/list',
      method: 'get',
      params:data
    })
  },
  addExamination : data => { // 新增试卷
    return service({
      url: '/exam',
      method: 'post',
      data
    })
  },
  editExamination : data => { // 更新试卷
    return service({
      url: '/exam/update',
      method: 'post',
      data
    })
  },
  delExamination : data => { // 删除试卷
    return service({
      url: '/exam/delete',
      method: 'post',
      data
    })
  },
  getExamGroupList: data => { // 获取试卷组别
    return service({
      url: '/exam/type',
      method: 'get',
      params:data
    })
  },
  getExaminationDetail: data => { // 获取试卷详情
    return service({
      url: '/exam/'+data.id,
      method: 'get',
      params:data
    })
  },
}
export default api
